Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.http
Class AdminAuthorizedServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mortbay.jetty.servlet.DefaultServlet
                  org.apache.hadoop.http.AdminAuthorizedServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.mortbay.resource.ResourceFactory

    public class AdminAuthorizedServlet

extends org.mortbay.jetty.servlet.DefaultServlet

General servlet which is admin-authorized.

See Also:
  Serialized Form

Constructor Summary
`AdminAuthorizedServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.mortbay.jetty.servlet.DefaultServlet
`destroy, doPost, doTrace, getInitParameter, getResource, init, passConditionalHeaders, sendData, sendDirectory, writeHeaders, writeOptionHeaders, writeOptionHeaders`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminAuthorizedServlet

    public AdminAuthorizedServlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

  Overrides:
    `doGet` in class `org.mortbay.jetty.servlet.DefaultServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation